#ifndef VY_DYNAMIC_LIBS_H
#define VY_DYNAMIC_LIBS_H

#include "runtime.h"

#ifdef _WIN32
    #define VY_DLLNAME(s) (s".dll")
#elif defined(__linux__)
    #define VY_DLLNAME(s) ("lib"s".so")
#endif

typedef void *vy_dynlib;

VY_DLLEXPORT vy_dynlib vyOpenLib(const char *libname);

VY_DLLEXPORT void *vyGetSymbol(vy_dynlib lib, const char *symbol);

VY_DLLEXPORT void vyCloseLib(vy_dynlib lib);

#endif
