#ifndef VY_THREADING_H
#define VY_THREADING_H

/* platform independent threading */

#include <stdbool.h>

#include "runtime.h"

typedef struct vy_mutex_s vy_mutex;

VY_DLLEXPORT vy_mutex *vyCreateMutex(void);

VY_DLLEXPORT void vyDestroyMutex(vy_mutex *mutex);

VY_DLLEXPORT bool vyLockMutex(vy_mutex *mutex);

VY_DLLEXPORT bool vyUnlockMutex(vy_mutex *mutex);

#endif
